### File

`packages/components/layout/eui-app-v2/eui-app-top-message/eui-app-top-message.ts`

### Implements

`OnInit`

### Metadata

HostDirectives | `BaseStatesDirective` Inputs : euiPrimary euiInfo euiWarning euiSuccess euiDanger euiVariant
selector | `eui-app-top-message`
imports | `EUI_ICON_BUTTON`
templateUrl | `./eui-app-top-message.html`
styleUrl | `./eui-app-top-message.scss`

### Index

###### Properties
role
###### Methods
onCloseClick
###### Inputs
hasCustomContent isCloseable isVisible
###### Outputs
topMessageClose
###### HostBindings
attr.role class
###### Accessors
cssClasses

### Inputs

hasCustomContent
Type : `boolean`
Default value : `false`

isCloseable
Type : `boolean`
Default value : `false`

isVisible
Type : `boolean`
Default value : `true`

### Outputs

topMessageClose
Type : `EventEmitter`

### HostBindings

attr.role
Type : `string`
Default value : `'banner'`

class
Type : `string`

### Methods

onCloseClick
`onCloseClick()`
Returns : `void`

### Properties

role
Type : `string`
Default value : `'banner'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""